(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     48833,       1300]
NotebookOptionsPosition[     47865,       1264]
NotebookOutlinePosition[     48247,       1280]
CellTagsIndexPosition[     48204,       1277]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox[
     RowBox[{"(", "*"}]], " ", 
    RowBox[{
     RowBox[{
     "This", " ", "notebook", " ", "makes", " ", "animations", " ", "of", " ",
       "the", " ", "bead"}], "-", 
     RowBox[{
     "tether", " ", "motion", " ", "when", " ", "the", " ", "magnet", " ", 
      "pair", " ", "is", " ", 
      RowBox[{"rotated", "."}]}]}], " ", 
    StyleBox[
     RowBox[{"*", ")"}]]}],
   FontFamily->"Courier New",
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontFamily->"Courier New",
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontFamily->"Courier New",
   FontSize->18], 
  RowBox[{
   StyleBox[
    StyleBox[
     RowBox[{"(", "*"}]],
    FontFamily->"Courier New",
    FontSize->18], 
   StyleBox[" ",
    FontFamily->"Courier New",
    FontSize->18], 
   StyleBox[
    RowBox[{
    "First", " ", "import", " ", "the", " ", "XYZ", " ", "positions", " ", 
     "of", " ", "the", " ", 
     RowBox[{"bead", ".", " ", "These"}], " ", "XYZ", " ", "positions", " ", 
     "are", " ", "generated", " ", "using", " ", "the", " ", 
     RowBox[{"Mag_calc", ".", "nb"}], " ", 
     RowBox[{"notebook", ".", " ", "Make"}], " ", "sure", " ", "this", " ", 
     "notebook", " ", "and", " ", 
     RowBox[{"Mag_calc", ".", "nb"}], " ", "are", " ", "in", " ", "the", " ", 
     "same", " ", 
     RowBox[{"folder", "."}]}],
    FontFamily->"Courier New",
    FontSize->18], 
   StyleBox[" ",
    FontFamily->"Courier New",
    FontSize->18], 
   StyleBox[
    StyleBox[
     RowBox[{"*", ")"}]],
    FontFamily->"Courier New",
    FontSize->18]}], 
  StyleBox["\[IndentingNewLine]",
   FontFamily->"Courier New",
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontFamily->"Courier New",
   FontSize->18], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"xyz", "=", 
      RowBox[{"Import", "[", 
       RowBox[{"ToFileName", "[", 
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], ",", 
         RowBox[{"StringJoin", "[", "\"\<xyz.xls\>\"", "]"}]}], "]"}], 
       "]"}]}], ";"}],
    FontFamily->"Courier New",
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"rot", "=", 
      RowBox[{"Import", "[", 
       RowBox[{"ToFileName", "[", 
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], ",", 
         RowBox[{"StringJoin", "[", "\"\<rot.xls\>\"", "]"}]}], "]"}], 
       "]"}]}], ";"}],
    FontFamily->"Courier New",
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"brad", "=", "0.5"}], ";"}],
    FontFamily->"Courier New",
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"boxsize", "=", "2"}], ";"}],
    FontFamily->"Courier New",
    FontSize->18]}]}]], "Input",
 CellChangeTimes->{{3.5134222410802617`*^9, 3.5134222836740117`*^9}, {
  3.5134240807677617`*^9, 3.5134240918458867`*^9}, {3.5134365768966017`*^9, 
  3.5134365847872267`*^9}, {3.5513066518775115`*^9, 3.5513067051360054`*^9}, {
  3.5513076330204372`*^9, 3.5513076384336467`*^9}, {3.5513078035453367`*^9, 
  3.551307804652939*^9}, {3.551312398498658*^9, 3.5513124113998814`*^9}, {
  3.5513124570455613`*^9, 3.551312503564843*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox[
     RowBox[{"(", "*"}]], " ", 
    RowBox[{
    "Here", " ", "we", " ", "animate", " ", "the", " ", "precessional", " ", 
     "motion", " ", "of", " ", "a", " ", "bead", " ", "which", " ", "is", " ",
      "tethered", " ", "at", " ", "the", " ", "bottom", " ", "of", " ", "the",
      " ", "bead", " ", "but", " ", "not", " ", "at", " ", "the", " ", 
     "center", " ", "of", " ", "the", " ", "magnet", " ", "pair", " ", "axis",
      " ", "when", " ", "the", " ", "magnet", " ", "pair", " ", "is", " ", 
     RowBox[{"rotated", ".", " ", "This"}], " ", "is", " ", "as", " ", 
     "viewed", " ", "from", " ", "the", " ", 
     RowBox[{"top", "."}]}], " ", 
    StyleBox[
     RowBox[{"*", ")"}]]}],
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"boxsize", "=", "2"}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   RowBox[{
    StyleBox["Animate",
     FontSize->18], 
    StyleBox["[",
     FontSize->18], 
    RowBox[{
     RowBox[{
      StyleBox["Graphics3D",
       FontSize->18], 
      StyleBox["[",
       FontSize->18], 
      RowBox[{
       StyleBox[
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
          RowBox[{"Sphere", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"xyz", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0.5"}], "}"}]}], ",", "0.5"}], 
           "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", "Thick", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{
              RowBox[{"xyz", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", " ", "Red",
           ",", 
          RowBox[{"Line", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"xyz", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "[", 
               RowBox[{"[", "k", "]"}], "]"}], "+", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0", ",", "0.5"}], "}"}]}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"k", ",", " ", "1", ",", " ", "i"}], "}"}]}], "]"}], 
           "]"}], ",", "Blue", ",", 
          RowBox[{"Cuboid", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"10", "*", "boxsize"}], ",", 
              RowBox[{"10", "*", "boxsize"}], ",", "0"}], "}"}]}], "]"}]}], 
         "}"}],
        FontSize->18], 
       StyleBox[",",
        FontSize->18], 
       StyleBox[" ",
        FontSize->18], 
       StyleBox[
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", " ", "3"}], "}"}]}], "}"}]}],
        FontSize->18], 
       StyleBox[",",
        FontSize->18], 
       StyleBox[" ",
        FontSize->18], 
       StyleBox[
        RowBox[{"Boxed", "\[Rule]", " ", "False"}],
        FontSize->18], 
       StyleBox[",",
        FontSize->18], 
       RowBox[{
        StyleBox["ViewPoint",
         FontSize->18], 
        StyleBox["\[Rule]",
         FontSize->18], " ", "Top"}]}], 
      StyleBox["]",
       FontSize->18]}], 
     StyleBox[",",
      FontSize->18], 
     StyleBox[" ",
      FontSize->18], 
     StyleBox[
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "1", ",", " ", 
        RowBox[{"Length", "[", 
         RowBox[{"xyz", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", " ", "1"}], "}"}],
      FontSize->18], 
     StyleBox[",",
      FontSize->18], 
     StyleBox[" ",
      FontSize->18], 
     StyleBox[
      RowBox[{"AnimationRepetitions", "\[Rule]", " ", "1"}],
      FontSize->18]}], 
    StyleBox["]",
     FontSize->18]}]}]}]], "Input",
 CellChangeTimes->{{3.5134256035158415`*^9, 3.5134256040002165`*^9}, {
   3.5134332852052617`*^9, 3.5134332962052617`*^9}, {3.5134342458146367`*^9, 
   3.5134342625490117`*^9}, 3.5134343728458867`*^9, {3.5134345161740117`*^9, 
   3.5134345263927617`*^9}, {3.5134348119240117`*^9, 
   3.5134348389865117`*^9}, {3.5134348773615117`*^9, 
   3.5134349312990117`*^9}, {3.5134359564434767`*^9, 
   3.5134359720684767`*^9}, {3.5134367306622267`*^9, 
   3.5134367360528517`*^9}, {3.5162868273232393`*^9, 
   3.5162868758742104`*^9}, {3.5162875234071608`*^9, 3.5162875242571783`*^9}, 
   3.5162877960926147`*^9, {3.551300896425478*^9, 3.551301046581066*^9}, {
   3.5513011339110613`*^9, 3.5513011436176167`*^9}, {3.5513011929764395`*^9, 
   3.551301228163452*^9}, 3.551301389372673*^9, {3.5513016642593956`*^9, 
   3.5513016808883467`*^9}, {3.5513019183509283`*^9, 
   3.5513019193909883`*^9}, {3.5513068040713787`*^9, 
   3.5513068318550277`*^9}, {3.551306900432748*^9, 3.5513069372176127`*^9}, {
   3.5513070551226196`*^9, 3.551307108880314*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 23, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`i$$], 1, 51, 1}}, Typeset`size$$ = {
    216., {108., 108.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i$2663$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`i$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$2663$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Opacity[0.5], 
         Sphere[Part[
            Part[$CellContext`xyz, 1], $CellContext`i$$] + {0, 0, 0.5}, 0.5], 
         Opacity[1], Thick, 
         Line[{{0, 0, 0}, 
           Part[
            Part[$CellContext`xyz, 1], $CellContext`i$$]}], Red, 
         Line[
          Table[Part[
             Part[$CellContext`xyz, 1], $CellContext`k] + {
            0, 0, 0.5}, {$CellContext`k, 1, $CellContext`i$$}]], Blue, 
         Cuboid[{(-10) $CellContext`boxsize, (-10) $CellContext`boxsize, \
(-10) $CellContext`boxsize}, {
          10 $CellContext`boxsize, 10 $CellContext`boxsize, 0}]}, 
        PlotRange -> {{-$CellContext`boxsize, $CellContext`boxsize}, \
{-$CellContext`boxsize, $CellContext`boxsize}, {-1, 3}}, Boxed -> False, 
        ViewPoint -> Top], 
      "Specifications" :> {{$CellContext`i$$, 1, 51, 1, AnimationRepetitions -> 
         1, AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{431., {122., 125.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.551301229665538*^9, {3.5513013911547747`*^9, 3.5513013959810505`*^9}, {
   3.5513016832924843`*^9, 3.5513016872007074`*^9}, {3.5513019212310934`*^9, 
   3.5513019247492943`*^9}, 3.551307007573736*^9, {3.5513078156197577`*^9, 
   3.5513078185525627`*^9}, {3.551308038294549*^9, 3.551308040603353*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{
    StyleBox[
     RowBox[{"(", "*"}]], " ", 
    RowBox[{
    "Here", " ", "we", " ", "animate", " ", "the", " ", "same", " ", "as", 
     " ", "above", " ", "but", " ", "as", " ", "viewed", " ", "from", " ", 
     "the", " ", 
     RowBox[{"front", "."}]}], " ", 
    StyleBox[
     RowBox[{"*", ")"}]]}], "\[IndentingNewLine]", 
   RowBox[{"Animate", "[", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
         RowBox[{"Sphere", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"xyz", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}], "+", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "brad"}], "}"}]}], ",", "brad"}], 
          "]"}], ",", 
         RowBox[{"Opacity", "[", "1", "]"}], ",", "Thick", ",", 
         RowBox[{"Line", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{
             RowBox[{"xyz", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "[", 
             RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", " ", "Red", 
         ",", 
         RowBox[{"Line", "[", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"xyz", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "k", "]"}], "]"}], "+", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "brad"}], "}"}]}], ",", " ", 
            RowBox[{"{", 
             RowBox[{"k", ",", " ", "1", ",", " ", "i"}], "}"}]}], "]"}], 
          "]"}], ",", "Blue", ",", 
         RowBox[{"Cuboid", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
             RowBox[{
              RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
             RowBox[{
              RowBox[{"-", "10"}], "*", "boxsize"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"10", "*", "boxsize"}], ",", 
             RowBox[{"10", "*", "boxsize"}], ",", "0"}], "}"}]}], "]"}]}], 
        "}"}], ",", " ", 
       RowBox[{"PlotRange", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", " ", "3.5"}], "}"}]}], "}"}]}], ",", " ", 
       RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", " ", 
       RowBox[{"ViewPoint", "\[Rule]", " ", "Front"}]}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", 
       RowBox[{"Length", "[", 
        RowBox[{"xyz", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", " ", "1"}], "}"}], ",", 
     " ", 
     RowBox[{"AnimationRepetitions", "\[Rule]", " ", "1"}]}], "]"}]}],
  FontSize->24]], "Input",
 CellChangeTimes->{{3.5134344667677617`*^9, 3.5134344676115117`*^9}, {
  3.5134345437052617`*^9, 3.5134345675333867`*^9}, {3.5134346084240117`*^9, 
  3.5134346327052617`*^9}, {3.5134347121271367`*^9, 3.5134347168927617`*^9}, {
  3.5134347803927617`*^9, 3.5134347904865117`*^9}, {3.5134349821896367`*^9, 
  3.5134349826427617`*^9}, {3.513435183722889*^9, 3.513435187504187*^9}, {
  3.5134367124122267`*^9, 3.5134367185528517`*^9}, {3.5134369501778517`*^9, 
  3.5134369509591017`*^9}, {3.5134371417247267`*^9, 3.5134371457247267`*^9}, {
  3.5134832517053576`*^9, 3.5134833061584826`*^9}, {3.5134842707053576`*^9, 
  3.5134842713616076`*^9}, {3.55130194355737*^9, 3.5513019439643936`*^9}, {
  3.5513069541748424`*^9, 3.5513069998517227`*^9}, {3.551308468215704*^9, 
  3.551308468652505*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 31, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`i$$], 1, 51, 1}}, Typeset`size$$ = {
    216., {121., 122.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i$2683$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`i$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$2683$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Opacity[0.5], 
         Sphere[Part[
            Part[$CellContext`xyz, 1], $CellContext`i$$] + {
           0, 0, $CellContext`brad}, $CellContext`brad], 
         Opacity[1], Thick, 
         Line[{{0, 0, 0}, 
           Part[
            Part[$CellContext`xyz, 1], $CellContext`i$$]}], Red, 
         Line[
          Table[Part[
             Part[$CellContext`xyz, 1], $CellContext`k] + {
            0, 0, $CellContext`brad}, {$CellContext`k, 1, $CellContext`i$$}]],
          Blue, 
         Cuboid[{(-10) $CellContext`boxsize, (-10) $CellContext`boxsize, \
(-10) $CellContext`boxsize}, {
          10 $CellContext`boxsize, 10 $CellContext`boxsize, 0}]}, 
        PlotRange -> {{-$CellContext`boxsize, $CellContext`boxsize}, \
{-$CellContext`boxsize, $CellContext`boxsize}, {-1, 3.5}}, Boxed -> False, 
        ViewPoint -> Front], 
      "Specifications" :> {{$CellContext`i$$, 1, 51, 1, AnimationRepetitions -> 
         1, AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{431., {135., 138.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5134832640491076`*^9, 3.5134833067209826`*^9}, {
   3.5134842598147326`*^9, 3.5134842730022326`*^9}, 3.516340559783081*^9, 
   3.516340598034772*^9, {3.5163411155714064`*^9, 3.5163411349468546`*^9}, 
   3.551300251252576*^9, {3.5513012431433086`*^9, 3.55130124701153*^9}, {
   3.551301945010453*^9, 3.5513019478296146`*^9}, 3.551307017308153*^9, 
   3.55130720869129*^9, {3.5513080431149573`*^9, 3.551308046188163*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  StyleBox[
   RowBox[{
    StyleBox[
     RowBox[{"(", "*"}]], " ", 
    RowBox[{
     RowBox[{
     "Here", " ", "we", " ", "animate", " ", "the", " ", "motion", " ", "of", 
      " ", "a", " ", "bead", " ", "which", " ", "is", " ", "tethered", " ", 
      "at", " ", "the", " ", "magnet", " ", "axis"}], ",", " ", 
     RowBox[{
     "but", " ", "not", " ", "at", " ", "the", " ", "bottom", " ", "of", " ", 
      "the", " ", 
      RowBox[{"bead", ".", " ", "This"}], " ", "view", " ", "is", " ", "from",
       " ", "the", " ", 
      RowBox[{"front", "."}]}]}], " ", 
    StyleBox[
     RowBox[{"*", ")"}]]}],
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"angat", "=", 
      RowBox[{"\[Pi]", "/", "4"}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"xyof", "=", 
      RowBox[{"brad", "*", 
       RowBox[{"Sin", "[", "angat", "]"}]}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"teth", "=", "2.5"}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"zof", "=", 
      RowBox[{"brad", "*", 
       RowBox[{"Cos", "[", "angat", "]"}]}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"brotxyz", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"xyof", "*", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"rot", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
          RowBox[{"xyof", "*", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"rot", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
          RowBox[{"teth", "+", "zof"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", " ", "1", ",", " ", 
          RowBox[{"Length", "[", 
           RowBox[{"rot", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"Animate", "[", 
     RowBox[{
      RowBox[{"Graphics3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
          RowBox[{"Sphere", "[", 
           RowBox[{
            RowBox[{"brotxyz", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", "Thick", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "2.5"}], "}"}]}], "}"}], "]"}], ",",
           " ", "Red", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"brotxyz", "[", 
              RowBox[{"[", "k", "]"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"k", ",", " ", "1", ",", " ", "i"}], "}"}]}], "]"}], 
           "]"}], ",", "Blue", ",", 
          RowBox[{"Cuboid", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"10", "*", "boxsize"}], ",", 
              RowBox[{"10", "*", "boxsize"}], ",", "0"}], "}"}]}], "]"}]}], 
         "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", " ", "3.5"}], "}"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", " ", 
        RowBox[{"ViewPoint", "\[Rule]", " ", "Front"}]}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "1", ",", " ", 
        RowBox[{"Length", "[", 
         RowBox[{"xyz", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", " ", "1"}], "}"}], ",", 
      " ", 
      RowBox[{"AnimationRepetitions", "\[Rule]", " ", "1"}]}], "]"}],
    FontSize->18]}]}]], "Input",
 CellChangeTimes->{{3.5134365538184767`*^9, 3.5134366512559767`*^9}, {
   3.5134367799278517`*^9, 3.5134368175997267`*^9}, {3.5134368735216017`*^9, 
   3.5134369263809767`*^9}, {3.5134369698184767`*^9, 
   3.5134370100528517`*^9}, {3.5134370456622267`*^9, 
   3.5134370486466017`*^9}, {3.5134370823966017`*^9, 
   3.5134371292716017`*^9}, {3.5134372199903517`*^9, 
   3.5134373248809767`*^9}, {3.5134373649747267`*^9, 3.5134374130528517`*^9}, 
   3.5134374461778517`*^9, {3.5134375084591017`*^9, 3.5134375253653517`*^9}, {
   3.551301952626889*^9, 3.5513019529529076`*^9}, {3.551307028306173*^9, 
   3.5513070439998*^9}, {3.551307133296357*^9, 3.5513071769764338`*^9}, {
   3.5513084764057183`*^9, 3.551308484533333*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 16, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`i$$], 1, 51, 1}}, Typeset`size$$ = {
    216., {121., 122.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i$2703$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`i$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$2703$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Opacity[0.5], 
         Sphere[
          Part[$CellContext`brotxyz, $CellContext`i$$], 0.5], 
         Opacity[1], Thick, 
         Line[{{0, 0, 0}, {0, 0, 2.5}}], Red, 
         Line[
          Table[
           
           Part[$CellContext`brotxyz, $CellContext`k], {$CellContext`k, 
            1, $CellContext`i$$}]], Blue, 
         Cuboid[{(-10) $CellContext`boxsize, (-10) $CellContext`boxsize, \
(-10) $CellContext`boxsize}, {
          10 $CellContext`boxsize, 10 $CellContext`boxsize, 0}]}, 
        PlotRange -> {{-$CellContext`boxsize, $CellContext`boxsize}, \
{-$CellContext`boxsize, $CellContext`boxsize}, {-1, 3.5}}, Boxed -> False, 
        ViewPoint -> Front], 
      "Specifications" :> {{$CellContext`i$$, 1, 51, 1, AnimationRepetitions -> 
         1, AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{431., {135., 138.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5134368830216017`*^9, 3.5134370191466017`*^9, 3.5134370494122267`*^9, {
   3.5134370851309767`*^9, 3.5134371527091017`*^9}, {3.5134373951466017`*^9, 
   3.5134374137091017`*^9}, 3.5134374476153517`*^9, {3.5134375093341017`*^9, 
   3.5134375259434767`*^9}, {3.5513015313907957`*^9, 3.551301540623324*^9}, {
   3.5513019535979443`*^9, 3.5513019556480618`*^9}, {3.5513071804552402`*^9, 
   3.5513072170685043`*^9}, {3.5513074673227453`*^9, 
   3.5513074695223494`*^9}, {3.5513075016116056`*^9, 3.55130750404521*^9}, 
   3.5513076106343975`*^9, {3.5513078092081466`*^9, 3.5513078115169506`*^9}, {
   3.551308048777767*^9, 3.5513080504157705`*^9}}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5134835408303576`*^9, 3.5134835453303576`*^9}, {
   3.5134835872053576`*^9, 3.5134836214241076`*^9}, 3.5134837029866076`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox[
     RowBox[{"(", "*"}]], 
    RowBox[{
    "Same", " ", "as", " ", "above", " ", "but", " ", "viewed", " ", "from", 
     " ", "the", " ", "top"}], 
    StyleBox[
     RowBox[{"*", ")"}]]}],
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"angat", "=", 
      RowBox[{"\[Pi]", "/", "4"}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"xyof", "=", 
      RowBox[{"brad", "*", 
       RowBox[{"Sin", "[", "angat", "]"}]}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"teth", "=", "2.5"}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"zof", "=", 
      RowBox[{"brad", "*", 
       RowBox[{"Cos", "[", "angat", "]"}]}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"brotxyz", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"xyof", "*", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{
              RowBox[{"rot", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
          RowBox[{"xyof", "*", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{
              RowBox[{"rot", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", " ", 
          RowBox[{"teth", "+", "zof"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", " ", "1", ",", " ", 
          RowBox[{"Length", "[", 
           RowBox[{"rot", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"Animate", "[", 
     RowBox[{
      RowBox[{"Graphics3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
          RowBox[{"Sphere", "[", 
           RowBox[{
            RowBox[{"brotxyz", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", "Thick", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "2.5"}], "}"}]}], "}"}], "]"}], ",",
           " ", "Red", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"brotxyz", "[", 
              RowBox[{"[", "k", "]"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"k", ",", " ", "1", ",", " ", "i"}], "}"}]}], "]"}], 
           "]"}], ",", "Blue", ",", 
          RowBox[{"Cuboid", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"10", "*", "boxsize"}], ",", 
              RowBox[{"10", "*", "boxsize"}], ",", "0"}], "}"}]}], "]"}]}], 
         "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", " ", "3.5"}], "}"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", " ", 
        RowBox[{"ViewPoint", "\[Rule]", " ", "Top"}]}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "1", ",", " ", 
        RowBox[{"Length", "[", 
         RowBox[{"xyz", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", " ", "1"}], "}"}], ",", 
      " ", 
      RowBox[{"AnimationRepetitions", "\[Rule]", " ", "1"}]}], "]"}],
    FontSize->18]}]}]], "Input",
 CellChangeTimes->{{3.5134380583653517`*^9, 3.5134380587716017`*^9}, {
  3.5513019714439654`*^9, 3.551301972070001*^9}, {3.5513084899465423`*^9, 
  3.5513084980897565`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 26, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`i$$], 1, 51, 1}}, Typeset`size$$ = {
    216., {108., 108.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i$2775$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`i$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$2775$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Opacity[0.5], 
         Sphere[
          Part[$CellContext`brotxyz, $CellContext`i$$], 0.5], 
         Opacity[1], Thick, 
         Line[{{0, 0, 0}, {0, 0, 2.5}}], Red, 
         Line[
          Table[
           
           Part[$CellContext`brotxyz, $CellContext`k], {$CellContext`k, 
            1, $CellContext`i$$}]], Blue, 
         Cuboid[{(-10) $CellContext`boxsize, (-10) $CellContext`boxsize, \
(-10) $CellContext`boxsize}, {
          10 $CellContext`boxsize, 10 $CellContext`boxsize, 0}]}, 
        PlotRange -> {{-$CellContext`boxsize, $CellContext`boxsize}, \
{-$CellContext`boxsize, $CellContext`boxsize}, {-1, 3.5}}, Boxed -> False, 
        ViewPoint -> Top], 
      "Specifications" :> {{$CellContext`i$$, 1, 51, 1, AnimationRepetitions -> 
         1, AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{431., {122., 125.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5134380595059767`*^9, 3.5513019726300335`*^9, {3.551308499119358*^9, 
   3.5513085017245626`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{
    StyleBox[
     RowBox[{"(", "*"}]], " ", 
    RowBox[{
     RowBox[{
     "Here", " ", "we", " ", "have", " ", "a", " ", "more", " ", "general", 
      " ", "case"}], ",", " ", 
     RowBox[{
     "where", " ", "the", " ", "tether", " ", "is", " ", "not", " ", "along", 
      " ", "the", " ", "magnet", " ", "axis", " ", "and", " ", "the", " ", 
      "DNA", " ", "is", " ", "not", " ", "tethered", " ", "at", " ", "the", 
      " ", "bottom", " ", "of", " ", "the", " ", 
      RowBox[{"bead", ".", " ", "This"}], " ", "is", " ", "viewed", " ", 
      "from", " ", "the", " ", 
      RowBox[{"top", "."}]}]}], " ", 
    StyleBox[
     RowBox[{"*", ")"}]]}],
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"cycxyz", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"xyz", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "[", 
          RowBox[{"[", "i", "]"}], "]"}], "+", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"brotxyz", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"brotxyz", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], ",", "zof"}], "}"}]}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", " ", "1", ",", " ", 
          RowBox[{"Length", "[", 
           RowBox[{"rot", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"Animate", "[", 
     RowBox[{
      RowBox[{"Graphics3D", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
          RowBox[{"Sphere", "[", 
           RowBox[{
            RowBox[{"cycxyz", "[", 
             RowBox[{"[", "i", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
          RowBox[{"Opacity", "[", "1", "]"}], ",", "Thick", ",", 
          RowBox[{"Line", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
             RowBox[{
              RowBox[{"xyz", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", " ", "Red",
           ",", 
          RowBox[{"Line", "[", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"cycxyz", "[", 
              RowBox[{"[", "k", "]"}], "]"}], ",", " ", 
             RowBox[{"{", 
              RowBox[{"k", ",", " ", "1", ",", " ", "i"}], "}"}]}], "]"}], 
           "]"}], ",", "Blue", ",", 
          RowBox[{"Cuboid", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
              RowBox[{
               RowBox[{"-", "10"}], "*", "boxsize"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"10", "*", "boxsize"}], ",", 
              RowBox[{"10", "*", "boxsize"}], ",", "0"}], "}"}]}], "]"}]}], 
         "}"}], ",", " ", 
        RowBox[{"PlotRange", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1"}], ",", " ", "3.5"}], "}"}]}], "}"}]}], ",", 
        " ", 
        RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", " ", 
        RowBox[{"ViewPoint", "\[Rule]", " ", "Top"}]}], "]"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{"i", ",", " ", "1", ",", " ", 
        RowBox[{"Length", "[", 
         RowBox[{"xyz", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", " ", "1"}], "}"}], ",", 
      " ", 
      RowBox[{"AnimationRepetitions", "\[Rule]", " ", "1"}]}], "]"}],
    FontSize->18]}]}]], "Input",
 CellChangeTimes->{{3.5134376086466017`*^9, 3.5134376116778517`*^9}, {
  3.5134379899278517`*^9, 3.5134380333966017`*^9}, {3.5134845400334826`*^9, 
  3.5134845571272326`*^9}, {3.551301994483283*^9, 3.551301994809302*^9}, {
  3.5513085135025835`*^9, 3.55130856273627*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 51, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`i$$], 1, 51, 1}}, Typeset`size$$ = {
    216., {108., 108.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i$2795$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`i$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`i$$, $CellContext`i$2795$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics3D[{
         Opacity[0.5], 
         Sphere[
          Part[$CellContext`cycxyz, $CellContext`i$$], 0.5], 
         Opacity[1], Thick, 
         Line[{{0, 0, 0}, 
           Part[
            Part[$CellContext`xyz, 1], $CellContext`i$$]}], Red, 
         Line[
          Table[
           
           Part[$CellContext`cycxyz, $CellContext`k], {$CellContext`k, 
            1, $CellContext`i$$}]], Blue, 
         Cuboid[{(-10) $CellContext`boxsize, (-10) $CellContext`boxsize, \
(-10) $CellContext`boxsize}, {
          10 $CellContext`boxsize, 10 $CellContext`boxsize, 0}]}, 
        PlotRange -> {{-$CellContext`boxsize, $CellContext`boxsize}, \
{-$CellContext`boxsize, $CellContext`boxsize}, {-1, 3.5}}, Boxed -> False, 
        ViewPoint -> Top], 
      "Specifications" :> {{$CellContext`i$$, 1, 51, 1, AnimationRepetitions -> 
         1, AppearanceElements -> {
          "ProgressSlider", "PlayPauseButton", "FasterSlowerButtons", 
           "DirectionButton"}}}, 
      "Options" :> {
       ControlType -> Animator, AppearanceElements -> None, 
        SynchronousUpdating -> True, ShrinkingDelay -> 10.}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{431., {122., 125.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5134376123028517`*^9, {3.5134380131466017`*^9, 3.5134380341153517`*^9}, 
   3.5513015725271482`*^9, {3.5513019954723396`*^9, 3.551301998595518*^9}, 
   3.5513085505526485`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  StyleBox[
   RowBox[{
    StyleBox[
     RowBox[{"(", "*"}]], " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Here", "'"}], "s", " ", "an", " ", "example", " ", "of", " ", 
      "how", " ", "to", " ", "save", " ", "the", " ", "animation", " ", "as", 
      " ", "an", " ", "avi"}], ",", " ", 
     RowBox[{"or", " ", 
      RowBox[{"gif", "."}]}]}], " ", 
    StyleBox[
     RowBox[{"*", ")"}]]}],
   FontSize->18], 
  StyleBox["\[IndentingNewLine]",
   FontSize->18], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"cyc", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Graphics3D", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
            RowBox[{"Sphere", "[", 
             RowBox[{
              RowBox[{"cycxyz", "[", 
               RowBox[{"[", "i", "]"}], "]"}], ",", "0.5"}], "]"}], ",", 
            RowBox[{"Opacity", "[", "1", "]"}], ",", "Thick", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
               RowBox[{
                RowBox[{"xyz", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", " ", 
            "Red", ",", 
            RowBox[{"Line", "[", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"cycxyz", "[", 
                RowBox[{"[", "k", "]"}], "]"}], ",", " ", 
               RowBox[{"{", 
                RowBox[{"k", ",", " ", "1", ",", " ", "i"}], "}"}]}], "]"}], 
             "]"}], ",", "Blue", ",", 
            RowBox[{"Cuboid", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
                RowBox[{
                 RowBox[{"-", "10"}], "*", "boxsize"}], ",", 
                RowBox[{
                 RowBox[{"-", "10"}], "*", "boxsize"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"10", "*", "boxsize"}], ",", 
                RowBox[{"10", "*", "boxsize"}], ",", "0"}], "}"}]}], "]"}]}], 
           "}"}], ",", " ", 
          RowBox[{"PlotRange", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}],
              ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "*", "boxsize"}], ",", "boxsize"}], "}"}],
              ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1"}], ",", " ", "3.5"}], "}"}]}], "}"}]}], ",", 
          " ", 
          RowBox[{"Boxed", "\[Rule]", " ", "False"}], ",", " ", 
          RowBox[{"ViewPoint", "\[Rule]", " ", "Top"}]}], "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"i", ",", " ", "1", ",", " ", 
          RowBox[{"Length", "[", 
           RowBox[{"xyz", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{"ToFileName", "[", 
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], ",", 
         "\"\<Cycloid_animation_Top.avi\>\""}], "]"}], ",", "cyc", ",", " ", 
       RowBox[{"\"\<FrameRate\>\"", "\[Rule]", " ", "5"}]}], "]"}], ";"}],
    FontSize->18], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{
     RowBox[{"Export", "[", 
      RowBox[{
       RowBox[{"ToFileName", "[", 
        RowBox[{
         RowBox[{"NotebookDirectory", "[", "]"}], ",", " ", 
         "\"\<Cycloid_animation_Top.gif\>\""}], "]"}], ",", "cyc", ",", " ", 
       RowBox[{"\"\<FrameRate\>\"", "\[Rule]", " ", "50"}]}], "]"}], ";"}],
    FontSize->18]}]}]], "Input",
 CellChangeTimes->{{3.5134838882053576`*^9, 3.5134839220803576`*^9}, {
  3.5134841616116076`*^9, 3.5134841649241076`*^9}, {3.551312320358121*^9, 
  3.5513123723842125`*^9}}]
},
WindowSize->{1350, 633},
WindowMargins->{{11, Automatic}, {Automatic, 128}},
Magnification->0.5999999046325684,
FrontEndVersion->"7.0 for Microsoft Windows (64-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 3218, 99, 102, "Input"],
Cell[CellGroupData[{
Cell[3788, 123, 5865, 165, 79, "Input"],
Cell[9656, 290, 2828, 58, 257, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12521, 353, 4156, 105, 105, "Input"],
Cell[16680, 460, 3013, 61, 283, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19730, 526, 5807, 157, 125, "Input"],
Cell[25540, 685, 3082, 62, 283, "Output"]
}, Open  ]],
Cell[28637, 750, 174, 2, 20, "Input"],
Cell[CellGroupData[{
Cell[28836, 756, 4818, 139, 115, "Input"],
Cell[33657, 897, 2535, 55, 257, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36229, 957, 4667, 126, 67, "Input"],
Cell[40899, 1085, 2674, 58, 257, "Output"]
}, Open  ]],
Cell[43588, 1146, 4273, 116, 102, "Input"]
}
]
*)

(* End of internal cache information *)
